! This macro is run by %test_registry to check parts of the REGISTRY command.
!
! @author  J. Czechowski IV
! @version $Id: test_registry_macro.mm,v 1.1 2006/09/21 22:34:23 jxc Exp $
!
startmacro
  pipe on
    waveform null elem=1e12
  pipe off
endmacro

procedure processMessage m:msg
  if msg.name eqs "STOPWAVEFORM" then
    set reg.waveform.state FINISH
  else
    say "^reg.main.name: Unhandled message name: ^msg.name from fid: ^msg.fid dats: ^msg.data"
  endif
return